using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Bitfelder
{
   class Program
   {
      [Flags]
      enum PersonalHabits : short
      {
         Friendly = 1,
         QuickTempered = 2,
         Intelligent = 4,
         Dull = 8
      };


      static void Main(string[] args)
      {
         PersonalHabits wanted = PersonalHabits.Friendly | PersonalHabits.Intelligent;

         // Abfrage eines Flags mit der in C# 4.0 eingeführten Methode HasFlag
         if (wanted.HasFlag(PersonalHabits.Friendly))
            Console.WriteLine(" Freundlichkeit wird erwartet ");

         if (wanted.HasFlag(PersonalHabits.QuickTempered))
            Console.WriteLine(" Aufbrausendes Gemüt wird erwartet ");
      }
   }
}
